# Parameter.Id (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Enum Parameter.Id

- java.lang.Object
- - java.lang.Enum<Parameter.Id>
  - - net.fortuna.ical4j.vcard.Parameter.Id

All Implemented Interfaces:
  Serializable, Comparable<Parameter.Id>

Enclosing class:
  Parameter

    public static enum Parameter.Id
    extends Enum<Parameter.Id>

Enumeration of parameter identifiers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALTID` Altid parameter identifier.
`CALSCALE` Calscale parameter identifier.
`ENCODING` Encoding parameter identifier.
`EXTENDED` Non-standard parameter identifier.
`FMTTYPE` Fmttype parameter identifier.
`GEO` Geo parameter identifier.
`LANGUAGE` Language parameter identifier.
`PID` PID parameter identifier.
`PREF` Pref parameter identifier.
`SORT_AS` Sort-as parameter identifier.
`TYPE` Type parameter identifier.
`TZ` Tz parameter identifier.
`VALUE` Value parameter identifier.
`VERSION` Version parameter identifier.

### Method Summary

Methods
`String` `getPname()`
`static Parameter.Id` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Parameter.Id[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LANGUAGE

    public static final Parameter.Id LANGUAGE

Language parameter identifier.

#### ENCODING

    public static final Parameter.Id ENCODING

Encoding parameter identifier.

#### VALUE

    public static final Parameter.Id VALUE

Value parameter identifier.

#### PREF

    public static final Parameter.Id PREF

Pref parameter identifier.

#### ALTID

    public static final Parameter.Id ALTID

Altid parameter identifier.

#### PID

    public static final Parameter.Id PID

PID parameter identifier.

#### TYPE

    public static final Parameter.Id TYPE

Type parameter identifier.

#### CALSCALE

    public static final Parameter.Id CALSCALE

Calscale parameter identifier.

#### SORT_AS

    public static final Parameter.Id SORT_AS

Sort-as parameter identifier.

#### GEO

    public static final Parameter.Id GEO

Geo parameter identifier.

#### TZ

    public static final Parameter.Id TZ

Tz parameter identifier.

#### VERSION

    public static final Parameter.Id VERSION

Version parameter identifier.

#### FMTTYPE

    public static final Parameter.Id FMTTYPE

Fmttype parameter identifier.

#### EXTENDED

    public static final Parameter.Id EXTENDED

Non-standard parameter identifier.

### Method Detail

#### values

    public static Parameter.Id[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Parameter.Id c : Parameter.Id.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Parameter.Id valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPname

    public String getPname()